#include "bits/stdc++.h"
using namespace std;

#define forn(i,n) for(int i=0;i<n;++i)
#define fornn(i,l,r) for(int i=l;i<=r;++i)
#define ford(i,n) for(int i=n-1;i>=0;--i)
#define all(a) (a).begin(),(a).end()
#define rall(a) (a).rbegin(),(a).rend()
#define pb push_back
#define eb emplace_back
#define ff first
#define ss second

using ll = long long;
using ld = long double;
using pii = pair<int,int>;
using pll = pair<ll,ll>;

const int maxn=1e5+7;
const int logn = 32;
const int mod = 1e9 + 7;

void solve() {
    int n,k; cin>>n>>k; // 1 <= k <= n <= 5e5
    vector<ll> a(n); // 1 <= a[i] <= 1e9
    forn(i,n) cin>>a[i];
    
    ll res = 0;
    forn(i,k) {
        res += a[n-i-1];
    }
    res+=n-k;
    
    cout<<res;
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);

#ifdef LOCAL
    freopen("C:\\work\\untitled\\d.txt", "r", stdin);
    freopen("C:\\work\\untitled\\out.txt", "w", stdout);

    while (!cin.eof()) {
        solve();
        cout<<endl;
    }
#else
    solve();
#endif

    return 0;
}
